New Question
0

Supported Generation2 VMs ? [closed]

asked 2016-12-30 19:33:52 +0300

Nebukazar gravatar image

Hi,

We are doing further testing with our vmagine installation and was wondering if there is a way to get the instances created using Generation 2 instead of Generation 1 ?

Thanks!

edit retag flag offensive reopen merge delete

Closed for the following reason the question is answered, right answer was accepted by Nebukazar
close date 2017-01-23 23:17:09.871214

1 answer

Sort by » oldest newest most voted
0

answered 2016-12-30 20:12:53 +0300

alexpilotti gravatar image

Hi, Gen2 VM support is a feature of our Nova Hyper-V driver, so it's included e.g. in both v-magine (for PoC) or Hyper-C (for production).

When creating the image in Glance, just specify the following property:

--property hw_machine_type=hyperv-gen2

More details: https://specs.openstack.org/openstack...

edit flag offensive delete link more

Comments

Thanks Alex ! it is indeed working :) I just need to figure out how to make Ubuntu 16 LTS and CentOS 7 booting properly.. but that's a different issue for now. Thanks again and happy new year !

Nebukazar gravatar imageNebukazar ( 2016-12-30 21:00:27 +0300 )edit

Happy new year to you too! :-) A few notes: general gen2 Ubuntu install: http://social.technet.microsoft.com/wiki/contents/articles/24545.installing-ubuntu-14-04-lts-as-a-generation-2-hyper-v-guest.aspx. For CentOS 7 I recommend to install the latest LIS 4.1.3.

alexpilotti gravatar imagealexpilotti ( 2016-12-30 21:50:24 +0300 )edit

BTW, if needed, here's how to set SecureBoot (for Linux, Windows Server 2016 is required): https://specs.openstack.org/openstack/nova-specs/specs/mitaka/approved/hyper-v-uefi-secureboot.html

alexpilotti gravatar imagealexpilotti ( 2016-12-30 21:53:52 +0300 )edit

Question Tools

1 follower

Stats

Asked: 2016-12-30 19:33:52 +0300

Seen: 258 times

Last updated: Dec 30 '16